Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.criteria
Class OrderImpl

    java.lang.Object
      org.apache.openjpa.persistence.criteria.OrderImpl

All Implemented Interfaces:
  Order, CriteriaExpression

     class OrderImpl

extends Object
implements Order, CriteriaExpression

Ordering clause of a criteria query.

Author:
  Pinaki Poddar

Constructor Summary
`OrderImpl(Expression<?> e)`
`OrderImpl(Expression<?> e, boolean asc)`

Method Summary
`void` | `acceptVisit(CriteriaExpressionVisitor visitor)` Accept visit from the given visitor.
`StringBuilder` | `asProjection(AliasContext q)` Get a string representation of this node as a projection term in the context of the given query.
`StringBuilder` | `asValue(AliasContext q)` Get a string representation of this node as a value in the context of the given query.
`StringBuilder` | `asVariable(AliasContext q)` Get a string representation of this node as a variable in the context of the given query.
`ExpressionImpl<?>` | `getExpression()`
`boolean` | `isAscending()`
`Order` | `reverse()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrderImpl

    public OrderImpl(Expression<?> e,
                     boolean asc)

### OrderImpl

    public OrderImpl(Expression<?> e)

Method Detail

### getExpression

    public ExpressionImpl<?> getExpression()

  Specified by:
    `getExpression` in interface `Order`

### isAscending

    public boolean isAscending()

  Specified by:
    `isAscending` in interface `Order`

### reverse

    public Order reverse()

  Specified by:
    `reverse` in interface `Order`

### acceptVisit

    public void acceptVisit(CriteriaExpressionVisitor visitor)

  Description copied from interface: `CriteriaExpression`
  Accept visit from the given visitor. The receiver is responsible to propagate the visitor to the constituent sub-nodes if any.

  Specified by:
    `acceptVisit` in interface `CriteriaExpression`
  Parameters:
    `visitor` - a processor to walk the nodes of a tree.

### asValue

    public StringBuilder asValue(AliasContext q)

  Description copied from interface: `CriteriaExpression`
  Get a string representation of this node as a value in the context of the given query.

  Specified by:
    `asValue` in interface `CriteriaExpression`

### asProjection

    public StringBuilder asProjection(AliasContext q)

  Description copied from interface: `CriteriaExpression`
  Get a string representation of this node as a projection term in the context of the given query.

  Specified by:
    `asProjection` in interface `CriteriaExpression`

### asVariable

    public StringBuilder asVariable(AliasContext q)

  Description copied from interface: `CriteriaExpression`
  Get a string representation of this node as a variable in the context of the given query.

  Specified by:
    `asVariable` in interface `CriteriaExpression`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.